#!/bin/sh

. /root/common.sh

false | cp -ai /root/default/* "${CONF}/" 2>/dev/null

if ! [ -e "${CONF}/sites-enabled" ]; then
	ln -s conf.d "${CONF}/sites-enabled"
fi

mkdir -p /var/log/nginx /var/cache/nginx

/root/reloader.sh &
(sleep 30; RELOAD_FIRST=no /root/acme-autocert.sh) &
/usr/sbin/crond -b

"${BIN}" -g 'daemon off;' "$@"
